V1 and V2Product Attributes

Update a product attribute

PATCH
/api/v1/attributes/product/{product_attribute_id}

This resource allows you to modify some properties of existing attributes.

  • All attributes can patch name and description fields
FieldTypeDescription
namestringfriendly name for the attribute
descriptionstringto help other users to understand what kind of information this attribute holds
  • DropdownAttribute and MultiselecAttributes can also patch available options. NOTE options will replace existing ones

  • CompletenessAttribute can patch its "attributes".

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Path Parameters

product_attribute_id*string

Response Body

application/json

curl -X PATCH 'https://example.com/api/v1/attributes/product/string'
{  "data": [    {      "attributes": [        {          "id": "5d0b50f525abd700016fc03b",          "label": "size"        }      ],      "groups": [],      "id": "5d0b51a925abd700016fc03f",      "label": "ready_to_ship",      "name": "Ready to ship",      "type_class": "CompletenessAttribute"    }  ]}